GNU bug report logs - #17656
24.3; default-directory with aliases in shell-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jacob Gerlach <jacobgerlach@HIDDEN>; merged with #9555; dated Sat, 31 May 2014 17:21:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17656 <at> debbugs.gnu.org:


Received: (at 17656) by debbugs.gnu.org; 2 Jun 2014 15:54:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 02 11:54:25 2014
Received: from localhost ([127.0.0.1]:41054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WrUZ6-0004kc-OR
	for submit <at> debbugs.gnu.org; Mon, 02 Jun 2014 11:54:25 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51731 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WrUZ4-0004kS-De
 for 17656 <at> debbugs.gnu.org; Mon, 02 Jun 2014 11:54:23 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1WrUZ4-0006YO-3y
 for 17656 <at> debbugs.gnu.org; Mon, 02 Jun 2014 11:54:22 -0400
Resent-Message-ID: <21388.40494.1285.324214@HIDDEN>
Resent-Date: Mon, 2 Jun 2014 11:54:22 -0400
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 17656 <at> debbugs.gnu.org
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=372WDkbRZE1ghTjeibVyp1zNmkJg5s42egX0HJtzmA0=;
 b=qT4ciaKHVsLFXQVezSNlWZDhYLJ+VDB5fFipPGszz42FpiHmQHiD61m051Wvma4KwR
 sMR6yczRgHvwZQx1XjaFI8UK+VKlQTsQXegNBYGht5SpPRMT1yiSiewDJN56f6aQHLY/
 oAgwOGK359Xlpc5K0p3hD4tpQCtuCNTHyImPcDSyMV/kXuAcvlki5jKZWYzezLHjcN4b
 PWQajsDGaFu80+DpX6689kzO3EyQ27GqNGpmVNVCtPjxr6nNqtLAxg0P3w2V9ygTeepI
 AyEgrM5fZhtcTNpGwR0UuxdbWLteGtqC5hLoOMHK8GgSXPtZxVFLsyR4OoU9lv8z8aXF
 clSQ==
MIME-Version: 1.0
X-Received: by 10.224.46.66 with SMTP id i2mr3153288qaf.22.1401722228808; Mon,
 02 Jun 2014 08:17:08 -0700 (PDT)
In-Reply-To: <fik391dfeh.fsf@HIDDEN>
References: <CAA6UvuF3_uKB5S4ajVsngXDRT68MBqkBrot7NzcMyz8bBb-8hQ@HIDDEN>
 <fik391dfeh.fsf@HIDDEN>
Message-ID: <CAA6UvuHGd4zFDZbu6UvuPhnt0Wh5Niq2N1v2PJ3__PdfqU-iSQ@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c29e0a85a41904fadbe310
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2607:f8b0:400d:c00::231
Date: Mon, 2 Jun 2014 11:17:08 -0400
From: Jacob Gerlach <jacobgerlach@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17656: 24.3; default-directory with aliases in shell-mode
X-Bogosity: no, spamicity=0.099431, v1.2.1
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 17656
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

--001a11c29e0a85a41904fadbe310
Content-Type: text/plain; charset=UTF-8

Glenn,

Thanks, that did the trick.

I'd like to automate this by reading in aliases from my bash aliases file.
Would it be reasonable to do something like adding shell-resync-dirs as a
(conditional, if last command matched a cd alias) hook on
comint-output-filter-functions?

Additionally, is there an easy way to hide the execution of `dirs' from the
shell buffer?

Thanks, Jake


On Sat, May 31, 2014 at 1:30 PM, Glenn Morris <rgm@HIDDEN> wrote:

>
> This is http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9555
> You can use M-x shell-resync-dirs to fix things up.
>

--001a11c29e0a85a41904fadbe310
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Glenn,<div><br></div><div>Thanks, that did the trick.=C2=
=A0</div><div><br></div><div>I&#39;d like to automate this by reading in al=
iases from my bash aliases
file. Would it be reasonable to do something like adding
shell-resync-dirs as a (conditional, if last command matched a cd
alias) hook on comint-output-filter-functions?=C2=A0</div><div><br></div><d=
iv>Additionally, is there an easy way to hide the execution of `dirs&#39; f=
rom
the shell buffer?=C2=A0</div><div><br></div><div>Thanks,
Jake</div></div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quot=
e">On Sat, May 31, 2014 at 1:30 PM, Glenn Morris <span dir=3D"ltr">&lt;<a h=
ref=3D"mailto:rgm@HIDDEN" target=3D"_blank">rgm@HIDDEN</a>&gt;</span> wro=
te:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
This is <a href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D9555" tar=
get=3D"_blank">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D9555</a><br>
You can use M-x shell-resync-dirs to fix things up.<br>
</blockquote></div><br></div>

--001a11c29e0a85a41904fadbe310--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17656; Package emacs. Full text available.
Forcibly Merged 9555 17656. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17656 <at> debbugs.gnu.org:


Received: (at 17656) by debbugs.gnu.org; 31 May 2014 17:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 31 13:30:50 2014
Received: from localhost ([127.0.0.1]:39105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wqn7K-0003sB-31
	for submit <at> debbugs.gnu.org; Sat, 31 May 2014 13:30:50 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42413 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Wqn7H-0003rz-AF
 for 17656 <at> debbugs.gnu.org; Sat, 31 May 2014 13:30:48 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Wqn7G-0005hz-Kv; Sat, 31 May 2014 13:30:46 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Jacob Gerlach <jacobgerlach@HIDDEN>
Subject: Re: bug#17656: 24.3; default-directory with aliases in shell-mode
References: <CAA6UvuF3_uKB5S4ajVsngXDRT68MBqkBrot7NzcMyz8bBb-8hQ@HIDDEN>
X-Spook: UFO Adriatic pink noise Medco counter terrorism ASLET
X-Ran: -AfVcB@UaL:G)$u/,l9YlOZAv"<Ag\\`<[pQ0k'&y1QZvv$='r.VF)PL6`/!SZPtpO/=I#
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 31 May 2014 13:30:46 -0400
In-Reply-To: <CAA6UvuF3_uKB5S4ajVsngXDRT68MBqkBrot7NzcMyz8bBb-8hQ@HIDDEN>
 (Jacob Gerlach's message of "Sat, 31 May 2014 10:16:12 -0400")
Message-ID: <fik391dfeh.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17656
Cc: 17656 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)


This is http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9555
You can use M-x shell-resync-dirs to fix things up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17656; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 May 2014 17:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 31 13:20:25 2014
Received: from localhost ([127.0.0.1]:39095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WqmxE-0003ag-LY
	for submit <at> debbugs.gnu.org; Sat, 31 May 2014 13:20:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43101)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk5A-00061M-E3
 for submit <at> debbugs.gnu.org; Sat, 31 May 2014 10:16:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk53-00072o-B3
 for submit <at> debbugs.gnu.org; Sat, 31 May 2014 10:16:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41990)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk53-00072i-7S
 for submit <at> debbugs.gnu.org; Sat, 31 May 2014 10:16:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44823)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk51-0005bJ-GW
 for bug-gnu-emacs@HIDDEN; Sat, 31 May 2014 10:16:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk4z-00071r-QO
 for bug-gnu-emacs@HIDDEN; Sat, 31 May 2014 10:16:15 -0400
Received: from mail-qa0-x22f.google.com ([2607:f8b0:400d:c00::22f]:53342)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jacobgerlach@HIDDEN>) id 1Wqk4z-00071i-Jj
 for bug-gnu-emacs@HIDDEN; Sat, 31 May 2014 10:16:13 -0400
Received: by mail-qa0-f47.google.com with SMTP id s7so398626qap.6
 for <bug-gnu-emacs@HIDDEN>; Sat, 31 May 2014 07:16:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=UVe47kyIlBEH7Nh51mcZ4mnBRbiWeogFuC2EpY7nOiU=;
 b=BqtkzcUnGzBM06D0PwRcKng/qS9phpw8shjo6pkUGbrRP0l2wTeE0GLjwfbMGhdj+M
 WOOhCL/+qO5fGFgSpnMYrROxopm/kO/y2Vm2TJndE6OP2tGZNudYs8u6TcHzaALPFo+I
 eIIS4p1aZv4fFl0G+SvziiewG+tPy7rH3wwPE0KFyzxtJz4j2fuvegg8CDXkS9pFHted
 o8vOtrMqgI+7n8dl+aNIulrfLU7eeKxC7m046JErObTGhbxRUGxMGlU9upw4S5+ibhL7
 6wGM0hH0PrVrCz6jh6Jjk3AdZg1G2tkP478cGAT+Pen/eq+5wkLIYutLM+OA2F0CFGam
 fj4Q==
MIME-Version: 1.0
X-Received: by 10.140.33.181 with SMTP id j50mr29290195qgj.81.1401545772805;
 Sat, 31 May 2014 07:16:12 -0700 (PDT)
Received: by 10.229.239.6 with HTTP; Sat, 31 May 2014 07:16:12 -0700 (PDT)
Date: Sat, 31 May 2014 10:16:12 -0400
Message-ID: <CAA6UvuF3_uKB5S4ajVsngXDRT68MBqkBrot7NzcMyz8bBb-8hQ@HIDDEN>
Subject: 24.3; default-directory with aliases in shell-mode
From: Jacob Gerlach <jacobgerlach@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113abec8ecb3fa04fab2cdf2
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 31 May 2014 13:20:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113abec8ecb3fa04fab2cdf2
Content-Type: text/plain; charset=UTF-8

Changing directories with a shell alias does not update
default-directory. This affects subsequent commands such as dired, and
shell behavior such as tab completion. Follow on relative path changes
such as `$ cd ..' have the expected effect in the shell, and move
default-directory relative to the working directory before using a cd
alias. Subsequent non-aliased cd commands do not affect
default-directory unless the working directory of the shell matches
default-directory.

$ emacs -q
`M-x shell RET'
~$ pwd
/home/user
`C-h v default-directory RET'
  => default-directory is a variable defined in `C source code'.
  Its value is "/home/user/"
~$ mkdir foobar
~$ cd foobar
~/foobar$
`C-h v default-directory RET'
  => ... Its value is "/home/user/foobar/"
~/foobar$ alias fb='cd foobar'
~/foobar$ cd ..
~$ fb
~/foobar$
`C-h v default-directory RET'
  => ...Its value is "/home/user/"
~/foobar$ cd ..
~$
`C-h v default-directory RET'
  => ...Its value is "/home/"
~$ cd foobar
~/foobar$
`C-h v default-directory RET'
  => ...Its value is "/home/"
~/foobar$ cd /home
/home$ cd user/foobar
~/foobar$
`C-h v default-directory RET'
  => ...Its value is "/home/user/foobar/"

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2014-02-22 on king, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11303000
System Description: Ubuntu 12.04.4 LTS

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Wformat-security
 -Werror=format-security -Wall' 'LDFLAGS=-Wl,-Bsymbolic-functions
 -Wl,-z,relro' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:

<menu> s h e l l <return> C-h v d e f a u <tab> d i r <tab> <return> c d
SPC f o o b a r <return> C-h v <up> <return> m k <backspace> <backspace>
c d SPC . . <return> f b <return> a l i a s SPC f b = ' c d SPC f o o b
a r ' <return> l s <return> f b <return> C-h v <up> <return> c d SPC
. . <return> f b <return> C-h v <up> <return> c d SPC . . <return> C-h v
<up> <return> c d SPC f o <tab> o b a r <return> C-h v <up> <return> c d
SPC / <return> c d SPC h o <tab> j a <tab> <return> C-h v <up> <return>
<menu> r e p o r t - e m <tab> <return>

Recent messages:

/home

/

No match

/
~


Load-path shadows:
/usr/share/emacs/24.3/site-lisp/cmake-data/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/24.3/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides
/usr/share/emacs/24.3/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides
/usr/share/emacs/24.3/lisp/textmodes/flyspell

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils pcmpl-unix misearch multi-isearch pp help-mode
easymenu help-fns shell pcomplete comint ansi-color ring
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

--001a113abec8ecb3fa04fab2cdf2
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><span style=3D"font-family:&#39;courier new&#39;,mono=
space">Changing directories with a shell alias does not update</span><br></=
div><div><font face=3D"courier new, monospace">default-directory. This affe=
cts subsequent commands such as dired, and</font></div>
<div><font face=3D"courier new, monospace">shell behavior such as tab compl=
etion. Follow on relative path changes</font></div><div><font face=3D"couri=
er new, monospace">such as `$ cd ..&#39; have the expected effect in the sh=
ell, and move</font></div>
<div><font face=3D"courier new, monospace">default-directory relative to th=
e working directory before using a cd</font></div><div><font face=3D"courie=
r new, monospace">alias. Subsequent non-aliased cd commands do not affect</=
font></div>
<div><font face=3D"courier new, monospace">default-directory unless the wor=
king directory of the shell matches</font></div><div><font face=3D"courier =
new, monospace">default-directory.</font></div><div><font face=3D"courier n=
ew, monospace"><br>
</font></div><div><font face=3D"courier new, monospace">$ emacs -q</font></=
div><div><font face=3D"courier new, monospace">`M-x shell RET&#39;</font></=
div><div><font face=3D"courier new, monospace">~$ pwd</font></div><div><fon=
t face=3D"courier new, monospace">/home/user</font></div>
<div><font face=3D"courier new, monospace">`C-h v default-directory RET&#39=
;</font></div><div><font face=3D"courier new, monospace">=C2=A0 =3D&gt; def=
ault-directory is a variable defined in `C source code&#39;.</font></div><d=
iv><font face=3D"courier new, monospace">=C2=A0 Its value is &quot;/home/us=
er/&quot;</font></div>
<div><font face=3D"courier new, monospace">~$ mkdir foobar</font></div><div=
><font face=3D"courier new, monospace">~$ cd foobar</font></div><div><font =
face=3D"courier new, monospace">~/foobar$</font></div><div><font face=3D"co=
urier new, monospace">`C-h v default-directory RET&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 =3D&gt; ...=C2=A0</font><=
span style=3D"font-family:&#39;courier new&#39;,monospace">Its value is &qu=
ot;/home/user/foobar/&quot;</span></div><div><font face=3D"courier new, mon=
ospace">~/foobar$ alias fb=3D&#39;cd foobar&#39;</font></div>
<div><font face=3D"courier new, monospace">~/foobar$ cd ..</font></div><div=
><font face=3D"courier new, monospace">~$ fb</font></div><div><font face=3D=
"courier new, monospace">~/foobar$=C2=A0</font></div><div><font face=3D"cou=
rier new, monospace">`C-h v default-directory RET&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 =3D&gt; ...</font><span s=
tyle=3D"font-family:&#39;courier new&#39;,monospace">Its value is &quot;/ho=
me/user/&quot;</span></div><div><font face=3D"courier new, monospace">~/foo=
bar$ cd ..</font></div>
<div><font face=3D"courier new, monospace">~$=C2=A0</font></div><div><font =
face=3D"courier new, monospace">`C-h v default-directory RET&#39;</font></d=
iv><div><font face=3D"courier new, monospace">=C2=A0 =3D&gt; ...</font><spa=
n style=3D"font-family:&#39;courier new&#39;,monospace">Its value is &quot;=
/home/&quot;</span></div>
<div><font face=3D"courier new, monospace">~$ cd foobar</font></div><div><f=
ont face=3D"courier new, monospace">~/foobar$</font></div><div><font face=
=3D"courier new, monospace">`C-h v default-directory RET&#39;</font></div><=
div>
<font face=3D"courier new, monospace">=C2=A0 =3D&gt; ...</font><span style=
=3D"font-family:&#39;courier new&#39;,monospace">Its value is &quot;/home/&=
quot;</span></div><div><font face=3D"courier new, monospace">~/foobar$ cd /=
home</font></div>
<div><font face=3D"courier new, monospace">/home$ cd user/foobar</font></di=
v><div><font face=3D"courier new, monospace">~/foobar$</font></div><div><fo=
nt face=3D"courier new, monospace">`C-h v default-directory RET&#39;</font>=
</div>
<div><font face=3D"courier new, monospace">=C2=A0 =3D&gt; ...</font><span s=
tyle=3D"font-family:&#39;courier new&#39;,monospace">Its value is &quot;/ho=
me/user/foobar/&quot;</span></div><div><font face=3D"courier new, monospace=
"><br></font></div>
<div><font face=3D"courier new, monospace">If Emacs crashed, and you have t=
he Emacs process in the gdb debugger,</font></div><div><font face=3D"courie=
r new, monospace">please include the output from the following gdb commands=
:</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 =C2=A0 `bt full&#39; and =
`xbacktrace&#39;.</font></div><div><font face=3D"courier new, monospace">Fo=
r information about debugging Emacs, please read the file</font></div><div>=
<font face=3D"courier new, monospace">/usr/share/emacs/24.3/etc/DEBUG.</fon=
t></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace"><br></font></div><div><font face=3D"courier new=
, monospace">In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)<=
/font></div>
<div><font face=3D"courier new, monospace">=C2=A0of 2014-02-22 on king, mod=
ified by Debian</font></div><div><font face=3D"courier new, monospace">Wind=
owing system distributor `The X.Org Foundation&#39;, version 11.0.11303000<=
/font></div>
<div><font face=3D"courier new, monospace">System Description:<span class=
=3D"" style=3D"white-space:pre">	</span>Ubuntu 12.04.4 LTS</font></div><div=
><font face=3D"courier new, monospace"><br></font></div><div><font face=3D"=
courier new, monospace">Configured using:</font></div>
<div><font face=3D"courier new, monospace">=C2=A0`configure &#39;--build&#3=
9; &#39;x86_64-linux-gnu&#39; &#39;--build&#39; &#39;x86_64-linux-gnu&#39;<=
/font></div><div><font face=3D"courier new, monospace">=C2=A0&#39;--prefix=
=3D/usr&#39; &#39;--sharedstatedir=3D/var/lib&#39; &#39;--libexecdir=3D/usr=
/lib&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0&#39;--localstatedir=3D/va=
r/lib&#39; &#39;--infodir=3D/usr/share/info&#39;</font></div><div><font fac=
e=3D"courier new, monospace">=C2=A0&#39;--mandir=3D/usr/share/man&#39; &#39=
;--with-pop=3Dyes&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0&#39;--enable-locallisppat=
h=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/loca=
l/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/si=
te-lisp&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0&#39;--with-crt-dir=3D/usr=
/lib/x86_64-linux-gnu&#39; &#39;--with-x=3Dyes&#39;</font></div><div><font =
face=3D"courier new, monospace">=C2=A0&#39;--with-x-toolkit=3Dgtk3&#39; &#3=
9;--with-toolkit-scroll-bars&#39;</font></div>
<div><font face=3D"courier new, monospace">=C2=A0&#39;build_alias=3Dx86_64-=
linux-gnu&#39; &#39;CFLAGS=3D-g -O2 -fstack-protector</font></div><div><fon=
t face=3D"courier new, monospace">=C2=A0--param=3Dssp-buffer-size=3D4 -Wfor=
mat -Wformat-security</font></div>
<div><font face=3D"courier new, monospace">=C2=A0-Werror=3Dformat-security =
-Wall&#39; &#39;LDFLAGS=3D-Wl,-Bsymbolic-functions</font></div><div><font f=
ace=3D"courier new, monospace">=C2=A0-Wl,-z,relro&#39; &#39;CPPFLAGS=3D-D_F=
ORTIFY_SOURCE=3D2&#39;&#39;</font></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">Important settings:</font></div><div><font face=
=3D"courier new, monospace">=C2=A0 value of $LANG: en_US.UTF-8</font></div>=
<div><font face=3D"courier new, monospace">=C2=A0 locale-coding-system: utf=
-8-unix</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 default enable-multibyte-=
characters: t</font></div><div><font face=3D"courier new, monospace"><br></=
font></div><div><font face=3D"courier new, monospace">Major mode: Shell</fo=
nt></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">Minor modes in effect:</font></div><div><font f=
ace=3D"courier new, monospace">=C2=A0 shell-dirtrack-mode: t</font></div><d=
iv><font face=3D"courier new, monospace">=C2=A0 tooltip-mode: t</font></div=
>
<div><font face=3D"courier new, monospace">=C2=A0 mouse-wheel-mode: t</font=
></div><div><font face=3D"courier new, monospace">=C2=A0 tool-bar-mode: t</=
font></div><div><font face=3D"courier new, monospace">=C2=A0 menu-bar-mode:=
 t</font></div><div>
<font face=3D"courier new, monospace">=C2=A0 file-name-shadow-mode: t</font=
></div><div><font face=3D"courier new, monospace">=C2=A0 global-font-lock-m=
ode: t</font></div><div><font face=3D"courier new, monospace">=C2=A0 font-l=
ock-mode: t</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 blink-cursor-mode: t</fon=
t></div><div><font face=3D"courier new, monospace">=C2=A0 auto-composition-=
mode: t</font></div><div><font face=3D"courier new, monospace">=C2=A0 auto-=
encryption-mode: t</font></div>
<div><font face=3D"courier new, monospace">=C2=A0 auto-compression-mode: t<=
/font></div><div><font face=3D"courier new, monospace">=C2=A0 line-number-m=
ode: t</font></div><div><font face=3D"courier new, monospace">=C2=A0 transi=
ent-mark-mode: t</font></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">Recent input:</font></div><div><font face=3D"co=
urier new, monospace"><br></font></div><div><font face=3D"courier new, mono=
space">&lt;menu&gt; s h e l l &lt;return&gt; C-h v d e f a u &lt;tab&gt; d =
i r &lt;tab&gt; &lt;return&gt; c d</font></div>
<div><font face=3D"courier new, monospace">SPC f o o b a r &lt;return&gt; C=
-h v &lt;up&gt; &lt;return&gt; m k &lt;backspace&gt; &lt;backspace&gt;</fon=
t></div><div><font face=3D"courier new, monospace">c d SPC . . &lt;return&g=
t; f b &lt;return&gt; a l i a s SPC f b =3D &#39; c d SPC f o o b</font></d=
iv>
<div><font face=3D"courier new, monospace">a r &#39; &lt;return&gt; l s &lt=
;return&gt; f b &lt;return&gt; C-h v &lt;up&gt; &lt;return&gt; c d SPC</fon=
t></div><div><font face=3D"courier new, monospace">. . &lt;return&gt; f b &=
lt;return&gt; C-h v &lt;up&gt; &lt;return&gt; c d SPC . . &lt;return&gt; C-=
h v</font></div>
<div><font face=3D"courier new, monospace">&lt;up&gt; &lt;return&gt; c d SP=
C f o &lt;tab&gt; o b a r &lt;return&gt; C-h v &lt;up&gt; &lt;return&gt; c =
d</font></div><div><font face=3D"courier new, monospace">SPC / &lt;return&g=
t; c d SPC h o &lt;tab&gt; j a &lt;tab&gt; &lt;return&gt; C-h v &lt;up&gt; =
&lt;return&gt;</font></div>
<div><font face=3D"courier new, monospace">&lt;menu&gt; r e p o r t - e m &=
lt;tab&gt; &lt;return&gt;</font></div><div><font face=3D"courier new, monos=
pace"><br></font></div><div><font face=3D"courier new, monospace">Recent me=
ssages:</font></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">/home=C2=A0</font></div><div><font face=3D"cour=
ier new, monospace"><br></font></div><div><font face=3D"courier new, monosp=
ace">/=C2=A0</font></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">No match</font></div><div><font face=3D"courier=
 new, monospace"><br></font></div><div><font face=3D"courier new, monospace=
">/=C2=A0</font></div>
<div><font face=3D"courier new, monospace">~=C2=A0</font></div><div><font f=
ace=3D"courier new, monospace"><br></font></div><div><font face=3D"courier =
new, monospace"><br></font></div><div><font face=3D"courier new, monospace"=
>Load-path shadows:</font></div>
<div><font face=3D"courier new, monospace">/usr/share/emacs/24.3/site-lisp/=
cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode</font></d=
iv><div><font face=3D"courier new, monospace">/usr/share/emacs/24.3/site-li=
sp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup</font></d=
iv>
<div><font face=3D"courier new, monospace">/usr/share/emacs24/site-lisp/dic=
tionaries-common/ispell hides /usr/share/emacs/24.3/lisp/textmodes/ispell</=
font></div><div><font face=3D"courier new, monospace">/usr/share/emacs24/si=
te-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.3/lisp/textm=
odes/flyspell</font></div>
<div><font face=3D"courier new, monospace"><br></font></div><div><font face=
=3D"courier new, monospace">Features:</font></div><div><font face=3D"courie=
r new, monospace">(shadow sort gnus-util mail-extr emacsbug message format-=
spec rfc822 mml</font></div>
<div><font face=3D"courier new, monospace">mml-sec mm-decode mm-bodies mm-e=
ncode mail-parse rfc2231 mailabbrev</font></div><div><font face=3D"courier =
new, monospace">gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm=
-util</font></div>
<div><font face=3D"courier new, monospace">mail-prsvr mail-utils pcmpl-unix=
 misearch multi-isearch pp help-mode</font></div><div><font face=3D"courier=
 new, monospace">easymenu help-fns shell pcomplete comint ansi-color ring</=
font></div>
<div><font face=3D"courier new, monospace">emacs-goodies-el emacs-goodies-c=
ustom emacs-goodies-loaddefs easy-mmode</font></div><div><font face=3D"cour=
ier new, monospace">time-date tooltip ediff-hook vc-hooks lisp-float-type m=
wheel x-win x-dnd</font></div>
<div><font face=3D"courier new, monospace">tool-bar dnd fontset image regex=
p-opt fringe tabulated-list newcomment</font></div><div><font face=3D"couri=
er new, monospace">lisp-mode register page menu-bar rfn-eshadow timer selec=
t scroll-bar</font></div>
<div><font face=3D"courier new, monospace">mouse jit-lock font-lock syntax =
facemenu font-core frame cham georgian</font></div><div><font face=3D"couri=
er new, monospace">utf-8-lang misc-lang vietnamese tibetan thai tai-viet la=
o korean</font></div>
<div><font face=3D"courier new, monospace">japanese hebrew greek romanian s=
lovak czech european ethiopic indian</font></div><div><font face=3D"courier=
 new, monospace">cyrillic chinese case-table epa-hook jka-cmpr-hook help si=
mple abbrev</font></div>
<div><font face=3D"courier new, monospace">minibuffer loaddefs button faces=
 cus-face macroexp files text-properties</font></div><div><font face=3D"cou=
rier new, monospace">overlay sha1 md5 base64 format env code-pages mule cus=
tom widget</font></div>
<div><font face=3D"courier new, monospace">hashtable-print-readable backquo=
te make-network-process dbusbind</font></div><div><font face=3D"courier new=
, monospace">dynamic-setting system-font-setting font-render-setting move-t=
oolbar gtk</font></div>
<div><font face=3D"courier new, monospace">x-toolkit x multi-tty emacs)</fo=
nt></div><div><br></div></div>

--001a113abec8ecb3fa04fab2cdf2--




Acknowledgement sent to Jacob Gerlach <jacobgerlach@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17656; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.